// ReSharper disable all
using System;
using System.Text;
using System.Linq;
using System.Collections.Generic;
using NUnit.Framework;
using static Taulukot;
using static Henkilo;

	[TestFixture]
	[DefaultFloatingPointTolerance(0.000001)]
	public  class TestTaulukot
	{
		[Test]
		public  void TestKuinkaMonessaEsiintyy90()
		{
			string[] nimet = { "Antti-Jussi", "Jonne", "Vesa", "Tuomo", "Antti Aarnio" };
			Assert.AreEqual( 3, KuinkaMonessaEsiintyy(nimet, 'a') , "in method KuinkaMonessaEsiintyy, line 92");
			Assert.AreEqual( 0, KuinkaMonessaEsiintyy(nimet, 'b') , "in method KuinkaMonessaEsiintyy, line 93");
			Assert.AreEqual( 3, KuinkaMonessaEsiintyy(nimet, 'A') , "in method KuinkaMonessaEsiintyy, line 94");
			Assert.AreEqual( 0, KuinkaMonessaEsiintyy(new string[]{ }, 'a') , "in method KuinkaMonessaEsiintyy, line 95");
		}
		[Test]
		public  void TestMontakoLukuaEnnenNollaa131()
		{
			int[] luvut = { 1, 2, 3, 5, 2, -1, 2, 0, 8, 9, 1, -1, 0, 8, 9 };
			Assert.AreEqual( 7, MontakoLukuaEnnenNollaa(luvut) , "in method MontakoLukuaEnnenNollaa, line 133");
			Assert.AreEqual( 0, MontakoLukuaEnnenNollaa(new int[] { }) , "in method MontakoLukuaEnnenNollaa, line 134");
			Assert.AreEqual( 3, MontakoLukuaEnnenNollaa(new int[] { 3, 2, 1 }) , "in method MontakoLukuaEnnenNollaa, line 135");
			Assert.AreEqual( 0, MontakoLukuaEnnenNollaa(new int[] { 0, 3, 2, 1 }) , "in method MontakoLukuaEnnenNollaa, line 136");
		}
		[Test]
		public  void TestLoytyykoKirjain171()
		{
			string[] jonot = { "Antti-Jussi", "Jonne", "Vesa", "Tuomo" };
			Assert.AreEqual( 2, LoytyykoKirjain(jonot, 'a') , "in method LoytyykoKirjain, line 173");
			Assert.AreEqual( 2, LoytyykoKirjain(jonot, 'A') , "in method LoytyykoKirjain, line 174");
			Assert.AreEqual( 0, LoytyykoKirjain(jonot, 'b') , "in method LoytyykoKirjain, line 175");
			Assert.AreEqual( 1, LoytyykoKirjain(jonot, '-') , "in method LoytyykoKirjain, line 176");
			string[] jonot2 = { "Jonne", "Jonne" };
			Assert.AreEqual( 2, LoytyykoKirjain(jonot, 'j') , "in method LoytyykoKirjain, line 178");
			string[] jonot3 = {  };
			Assert.AreEqual( 0, LoytyykoKirjain(jonot, 'C') , "in method LoytyykoKirjain, line 180");
		}
	}

